org.richfaces.fragment.collapsiblePanel

## Class RichFacesCollapsiblePanel.AdvancedCollapsiblePanelInteractions

- java.lang.Object
- - org.richfaces.fragment.panel.AbstractPanel.AdvancedPanelInteractions
  - - org.richfaces.fragment.collapsiblePanel.RichFacesCollapsiblePanel.AdvancedCollapsiblePanelInteractions

- All Implemented Interfaces:
    VisibleComponentInteractions
  Enclosing class:
    RichFacesCollapsiblePanel<HEADER,BODY>

      public class RichFacesCollapsiblePanel.AdvancedCollapsiblePanelInteractions
      extends AbstractPanel.AdvancedPanelInteractions
      implements VisibleComponentInteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesCollapsiblePanel.AdvancedCollapsiblePanelInteractions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.openqa.selenium.WebElement` | `getBodyElement()`
    `protected String` | `getCollapsedHeaderClass()`
    `protected org.jboss.arquillian.graphene.GrapheneElement` | `getEmptyBodyElement()`
    `org.jboss.arquillian.graphene.GrapheneElement` | `getHeaderElement()`
    `org.openqa.selenium.WebElement` | `getLabelElement()`
    `Icon` | `getLeftIcon()`
    `Icon` | `getRightIcon()`
    `long` | `getTimeoutForPanelIsSwitched()`
    `boolean` | `isCollapsed()`
    `boolean` | `isVisible()`
    `void` | `setTimeoutForPanelIsSwitched(long timeoutInMillis)` Set timeout for panel to collapse or expand
    `WaitingWrapper` | `waitUntilPanelIsCollapsed()`
    `WaitingWrapper` | `waitUntilPanelIsExpanded()`

    - ### Methods inherited from class org.richfaces.fragment.panel.AbstractPanel.AdvancedPanelInteractions

      `getRootElement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesCollapsiblePanel.AdvancedCollapsiblePanelInteractions

          public RichFacesCollapsiblePanel.AdvancedCollapsiblePanelInteractions()

  - ### Method Detail

    - #### getEmptyBodyElement

          protected org.jboss.arquillian.graphene.GrapheneElement getEmptyBodyElement()

    - #### getBodyElement

          public org.openqa.selenium.WebElement getBodyElement()

      Specified by:
        `getBodyElement` in class `AbstractPanel.AdvancedPanelInteractions`

    - #### getCollapsedHeaderClass

          protected String getCollapsedHeaderClass()

    - #### getHeaderElement

          public org.jboss.arquillian.graphene.GrapheneElement getHeaderElement()

      Specified by:
        `getHeaderElement` in class `AbstractPanel.AdvancedPanelInteractions`

    - #### getLabelElement

          public org.openqa.selenium.WebElement getLabelElement()

    - #### getLeftIcon

          public Icon getLeftIcon()

    - #### getRightIcon

          public Icon getRightIcon()

    - #### getTimeoutForPanelIsSwitched

          public long getTimeoutForPanelIsSwitched()

    - #### isCollapsed

          public boolean isCollapsed()

    - #### setTimeoutForPanelIsSwitched

          public void setTimeoutForPanelIsSwitched(long timeoutInMillis)

      Set timeout for panel to collapse or expand
      Parameters:
        `timeoutInMillis` -

    - #### waitUntilPanelIsCollapsed

          public WaitingWrapper waitUntilPanelIsCollapsed()

    - #### waitUntilPanelIsExpanded

          public WaitingWrapper waitUntilPanelIsExpanded()

    - #### isVisible

          public boolean isVisible()

      Specified by:
        `isVisible` in interface `VisibleComponentInteractions`

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.